/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef ROGUS_H
#define ROGUS_H

#include "basic_types.h"

// Rogus-specific types (too specialized to be in basic_types.h)
typedef uint2 ioref;

#include <windows.h>

enum { NEVER = -1 };

// user preference variables (definition must be in user's code)
extern bool statistics_on;
extern const char* default_input;
extern const char* default_output;

// global pointer variables
class OMS_app; // in case we haven't included the header file yet
extern OMS_app* oap;
class scheduler; // in case we haven't included the header file yet
extern scheduler* schedp;
extern const char* rogus_version;

#endif
// Author: Patrick Pelletier
