#include "err_and_warn.h"
#include <stdio.h>
#include <stdlib.h>
#include "Rogus_McBogus.h"

err_and_warn ew;

void
err_and_warn::
e( const char *format, ... )
{
	if (!tw)
		fprintf(stderr, "Silly goose, you just tried to give an error before the text window was ready!" );
	else
	{
		tw->outfunc( "Error: ", Rogus_McBogus::err );
	
	   va_list ap;
	   va_start( ap, format );
		tw->vpr( format, ap, Rogus_McBogus::err );
	   va_end( ap );
	
		tw->outfunc( "\n", Rogus_McBogus::err );
	}
 	throw err();
}

void
err_and_warn::
a( const char *format, ... )
{
	if (!tw)
		fprintf(stderr, "Silly goose, you just tried to give an alert before the text window was ready!" );
	else
	{
		tw->outfunc( "Alert: ", Rogus_McBogus::err );
	
	   va_list ap;
	   va_start( ap, format );
	   tw->vpr( format, ap, Rogus_McBogus::err );
	   va_end( ap );
	
		tw->outfunc( "\n", Rogus_McBogus::err );
	}
}

void
err_and_warn::
w( const char *format, ... )
{
	if (!tw)
		fprintf(stderr, "Silly goose, you just tried to give a warning before the text window was ready!" );
	else
	{
		tw->outfunc( "Warning: ", Rogus_McBogus::warn );
	
	   va_list ap;
	   va_start( ap, format );
	   tw->vpr( format, ap, Rogus_McBogus::warn );
	   va_end( ap );
	
		tw->outfunc( "\n", Rogus_McBogus::warn );
	}
}

// Author: Ben Denckla
